std::__detail::_Results Struct Referenceabstract
Base and Implementation Classes
Inheritance diagram for std::__detail::_Results:
[legend]

## Public Member Functions

virtual void | _M_assign (const _Results &__rhs)=0
virtual std::unique_ptr< _Results > | _M_clone () const =0
virtual void | _M_set_matched (int __i, bool __is_matched)=0
virtual void | _M_set_pos (int __i, int __j, const _PatternCursor &__p)=0

## Detailed Description

Provides a generic facade for a templated match_results.

Definition at line 43 of file regex_nfa.h.

The documentation for this struct was generated from the following file:

- regex_nfa.h